default:
  image: centos:latest

stages:
  - build
  - publish

build:
  stage: build
  before_script:
    - dnf install -y rpmdevtools epel-release
    - dnf install -y tito curl git
  script:
    - rpmdev-setuptree
    - cp mountainlinux-release.spec ~/rpmbuild/SPECS/
    - cp EULA FRL RPM-GPG-KEY-MountainLinux 99-default-disable.preset 90-default.preset 85-display-manager.preset mountainlinux.repo ~/rpmbuild/SOURCES/
    - cd ~/rpmbuild/SPECS/
    - rpmbuild -bs mountainlinux-release.spec
    - rpmbuild -bb mountainlinux-release.spec
    - cp -r ~/rpmbuild/RPMS/* /builds/morales-research-corporation/mountainlinux/packages/binaries/mountainlinux-release/bin/
    - cd /builds/morales-research-corporation/mountainlinux/packages/binaries/mountainlinux-release/bin
    - ls -la
  artifacts:
    public: true
    untracked: true
    paths:
      - bin/*

publish:
  stage: publish
  script:
    'curl --header "JOB-TOKEN: $CI_JOB_TOKEN" --upload-file bin/x86_64/*.rpm "${CI_API_V4_URL}/projects/${CI_PROJECT_ID}/packages/generic/mountainlinux-logos/8.4-beta/*.rpm"'
